<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Загрузка фото*/
$tpl->assign_file('mod', 'tpl/inc/new_foto.tpl');
if (!$user_id) header('Location: /login.php');
$id = (int)$_GET['id'];
$albom = $db->assoc($db->query("SELECT * FROM foto_albom WHERE id_user = '$user_id' AND  id = '$id'"));
$tpl->assign($albom);
if (!empty($albom['name'])) {
    // Запись
    if (!empty($_FILES['file']['tmp_name'])) {
        $info = getimagesize($_FILES['file']['tmp_name']);
        $mime = array('image/jpeg', 'image/gif', 'image/png');
        if (false !== ($key = array_search($info['mime'], $mime))) $ext = substr($mime[$key], 6, 10);

        if ($_FILES['file']['size'] > $konf_albom['max_size']) {
            // Вес фото слишком большой
            $tpl->insert_loop('index.new_foto.big_size', 'max_size', formatsize($konf_albom['max_size']));
        } elseif (($konf_albom['max_x'] < $info[0]) || ($konf_albom['max_y'] < $info[1])) {
            // Размер фото слишком большой
            $tpl->parse('index.new_foto.big_foto');
        } elseif (!$ext) {
            // Формат файла не поддерживается
            $tpl->parse('index.new_foto.bed_ext');
        } else {
            $_POST['name'] = empty($_POST['name']) ? basename($_FILES['file']['name']) : $_POST['name'];
            $db->query("INSERT INTO foto_file SET
			name = '" . xss($_POST['name']) . "',
			ext = '$ext',
			op = '" . xss($_POST['msg']) . "',
			pas = '" . xss($_POST['pas']) . "',
			close = '" . (int)$_POST['close'] . "',
			time = '" . time() . "',
			user = '$login',
			id_user = '$user_id',
			id_albom ='" . $albom['id'] . "',
			id_dir = '" . $albom['id_dir'] . "'");
            // Если папки нет, создаем
            $tpl->new_dir('files/' . $albom['id_dir'] . '/' . $albom['id']);
            // Сохраняем файл
            $file = 'files/' . $albom['id_dir'] . '/' . $albom['id'] . '/' . $db->insert_id() . '.' . $ext;
            if (!$tpl->copy($_FILES['file']['tmp_name'], $file)) {
                // Если сохраниние фото не удачно, удалим запись с базы
                $db->query("DELETE FROM foto_file WHERE id='" . $db->insert_id() . "'");
                $tpl->parse('index.new_foto.save_error');
            } else {
                // Фото успешно загружено
                $tpl->parse('index.new_foto.save_ok');
            }
        }
    }
    // Форма
    $tpl->insert_loop('index.new_foto.form', 'max_size', formatsize($konf_albom['max_size']));
} else {
    $tpl->parse('index.new_foto.no_albom');
}
$tpl->parse('index.new_foto');

?>